Bug 17897 - mod_cgi broken on acl based file systems
Summary: mod_cgi broken on acl based file systems
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-1.3
Classification: Unclassified
Component: core (show other bugs)
Version: 1.3.27
Hardware: Other All
: P3 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-03-11 23:10 UTC by Hal Roberts
Modified: 2004-11-16 19:05 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hal Roberts 2003-03-11 23:10:54 UTC
ap_can_exec checks for the execute bit manually, which doesn't work on acl
filesystems.  It should use the POSIX access() call instead.
Comment 1 Joe Orton 2004-10-23 11:48:28 UTC
This is fixed in 2.0, which does use access() to check for executability before
spawning a CGI process.  Though it does so even if suexec is used unlike 1.3
which is probably a (different) bug.